<template>
  <div class="loading row center" v-if="show">
    <div class="ctr">
      <img src="../assets/st-imges/loading.svg" alt>
    </div>
  </div>
</template>
<script>
export default {
  // props:['show'],
  data() {
    return {
      show:''
    };
  },
  mounted(){
  },  
  computed: {
    getUserIcons() {
      return this.$store.getters.getShow;
    }
  },
  watch:{
    getUserIcons(val){
      //  if(val) return false;
       this.show = val;
    }
  }
};
</script>
<style scoped>
.loading {
  z-index: 1500;
  background-color: #000000;
  opacity: 0.8;
  height: 100vh;
}
.ctr {
    width: 1rem;
    height:1rem;
}
.loading .ctr img {
  animation: loading 2s infinite linear;
}
@keyframes loading {
  100% {
    transform: rotate(360deg);
  }
}
</style>